跳转到主要内容
GET
/
api
/
publicapi
/
v1
/
catalogs
/
{catalogId}
/
reindex
/
{reindexOperationId}
获取重新索引操作的详细信息
curl --request GET \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/reindex/{reindexOperationId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "indexModelId": "<string>",
  "workflowProcessingId": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "completed": "<string>",
  "currentState": "InProgress"
}

授权

Authorization
string
header
必填

The access token received from the authorization server in the OAuth 2.0 flow.

路径参数

catalogId
string
必填

目录 ID。您可以在所有目录的列表中找到它。

reindexOperationId
string<uuid>
必填

操作 ID。您可以在启动重新索引操作时收到的响应中找到它。

响应

成功

id
string<uuid>

操作的唯一 ID

indexModelId
string | null

用于分析文档的索引模型的 ID

workflowProcessingId
string | null

操作工作流的 ID

created
string<date-time>

操作的创建时间

completed
string | null

操作的完成时间

currentState
enum<string>
可用选项:
InProgress,
Failed,
Completed